curl -X GET "https://api.innova-trading.com/api/external/indicators" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"count": 3,
"indicators": [
{
"indicator_id": "smart_money_v2",
"indicator_name": "Smart Money Signals",
"symbol": "EURUSD",
"timeframe": 60,
"points_count": 25,
"created_at": "2025-12-12T10:00:00Z",
"expires_at": "2025-12-13T10:00:00Z"
},
{
"indicator_id": "inside_bar_detector",
"indicator_name": "Inside Bar Detector",
"symbol": "EURUSD",
"timeframe": 60,
"points_count": 50,
"created_at": "2025-12-12T11:00:00Z",
"expires_at": "2025-12-13T11:00:00Z"
},
{
"indicator_id": "gbp_signals",
"indicator_name": "GBP Trading Signals",
"symbol": "GBPUSD",
"timeframe": 240,
"points_count": 10,
"created_at": "2025-12-12T09:00:00Z",
"expires_at": "2025-12-13T09:00:00Z"
}
]
}
External Indicators
List Indicators
List all indicators submitted by your API key
GET
/
api
/
external
/
indicators
curl -X GET "https://api.innova-trading.com/api/external/indicators" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"count": 3,
"indicators": [
{
"indicator_id": "smart_money_v2",
"indicator_name": "Smart Money Signals",
"symbol": "EURUSD",
"timeframe": 60,
"points_count": 25,
"created_at": "2025-12-12T10:00:00Z",
"expires_at": "2025-12-13T10:00:00Z"
},
{
"indicator_id": "inside_bar_detector",
"indicator_name": "Inside Bar Detector",
"symbol": "EURUSD",
"timeframe": 60,
"points_count": 50,
"created_at": "2025-12-12T11:00:00Z",
"expires_at": "2025-12-13T11:00:00Z"
},
{
"indicator_id": "gbp_signals",
"indicator_name": "GBP Trading Signals",
"symbol": "GBPUSD",
"timeframe": 240,
"points_count": 10,
"created_at": "2025-12-12T09:00:00Z",
"expires_at": "2025-12-13T09:00:00Z"
}
]
}
Request
This endpoint has no parameters. It returns all indicators associated with your API key.Response
Indicates if the request was successful
Total number of indicators
Array of indicator summaries
Show Indicator Summary
Show Indicator Summary
curl -X GET "https://api.innova-trading.com/api/external/indicators" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"count": 3,
"indicators": [
{
"indicator_id": "smart_money_v2",
"indicator_name": "Smart Money Signals",
"symbol": "EURUSD",
"timeframe": 60,
"points_count": 25,
"created_at": "2025-12-12T10:00:00Z",
"expires_at": "2025-12-13T10:00:00Z"
},
{
"indicator_id": "inside_bar_detector",
"indicator_name": "Inside Bar Detector",
"symbol": "EURUSD",
"timeframe": 60,
"points_count": 50,
"created_at": "2025-12-12T11:00:00Z",
"expires_at": "2025-12-13T11:00:00Z"
},
{
"indicator_id": "gbp_signals",
"indicator_name": "GBP Trading Signals",
"symbol": "GBPUSD",
"timeframe": 240,
"points_count": 10,
"created_at": "2025-12-12T09:00:00Z",
"expires_at": "2025-12-13T09:00:00Z"
}
]
}
Use this endpoint to monitor which indicators are active and when they’ll expire.
Set up a cron job to re-submit data before expiration.
⌘I